Loading...
Searching...
No Matches
Opm::EQUIL::PcEqSum< FluidSystem, MaterialLawManager > Struct Template Reference

Functor for inverting a sum of capillary pressure functions. More...

`#include <EquilibrationHelpers.hpp>`

## Public Types

using | Scalar = typename FluidSystem::Scalar

## Public Member Functions

| PcEqSum (const MaterialLawManager &materialLawManager, const int phase1, const int phase2, const int cell, const Scalar targetPc)
Scalar | operator() (Scalar s) const

## Detailed Description

template<class FluidSystem, class MaterialLawManager>
struct Opm::EQUIL::PcEqSum< FluidSystem, MaterialLawManager >

Functor for inverting a sum of capillary pressure functions.

Function represented is f(s) = pc1(s) + pc2(1 - s) - targetPc

The documentation for this struct was generated from the following files:

- opm/simulators/flow/equil/EquilibrationHelpers.hpp
- opm/simulators/flow/equil/EquilibrationHelpers_impl.hpp